org.apache.lucene.benchmark.byTask.feeds

## Class DemoHTMLParser.Parser

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DemoHTMLParser.Parser

- Enclosing class:
    DemoHTMLParser

      public static final class DemoHTMLParser.Parser
      extends Object

  The actual parser to read HTML documents

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `body`
    `Properties` | `metaTags`
    `String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemoHTMLParser.Parser(InputSource source)`
    `DemoHTMLParser.Parser(Reader reader)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metaTags

          public final Properties metaTags

    - #### title

          public final String title

    - #### body

          public final String body

  - ### Constructor Detail

    - #### DemoHTMLParser.Parser

          public DemoHTMLParser.Parser(Reader reader)
                                throws IOException,
                                       SAXException

      Throws:
        `IOException`
        `SAXException`

    - #### DemoHTMLParser.Parser

          public DemoHTMLParser.Parser(InputSource source)
                                throws IOException,
                                       SAXException

      Throws:
        `IOException`
        `SAXException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.